NPM-STOP(1)

NAME
npm-stop - Stop a package

  Synopsis

    npm stop [-- <args>]

  Description

This runs a predefined command specified in the "stop" property of a package's "scripts" object.

Unlike with npm help start, there is no default script that will run if the "stop" property is not defined.

  Example

    {
      "scripts": {
        "stop": "node bar.js"
      }
    }

    npm stop
    > npm@x.x.x stop
    > node bar.js
    (bar.js output would be here)

  See Also

    •   npm help run-script

    •   npm help scripts

    •   npm help test

    •   npm help start

    •   npm help restart